curl --request PATCH \
--url https://api.ampersand.ai/v1/projects/{projectIdOrName}/jwt-keys/{keyId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"updateMask": [
"active"
],
"jwtKey": {
"active": false
}
}
'{
"id": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "123e4567-e89b-12d3-a456-426614174000",
"label": "updated-key-name",
"algorithm": "RSA",
"publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4f5wg5l2hKsTeNem/V41\n-----END PUBLIC KEY-----\n",
"active": false,
"createTime": "2024-01-15T10:30:00Z",
"updateTime": "2024-01-16T15:45:00Z"
}{
"type": "https://httpstatuses.com/400",
"title": "Bad Request",
"status": 400,
"detail": "Invalid update mask",
"remedy": "Allowed masks: 'active' and 'name'"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "https://httpstatuses.com/422",
"title": "Unprocessable Entity",
"status": 422,
"detail": "value not found for mask",
"validationIssues": [
{
"field": "jwtKey",
"detail": "required field missing for specified mask"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}JWT Key
Update a JWT key
Updates specific fields of a JWT key using field masks. Currently supports updating the ‘active’ status and ‘name’ field.
PATCH
/
projects
/
{projectIdOrName}
/
jwt-keys
/
{keyId}
curl --request PATCH \
--url https://api.ampersand.ai/v1/projects/{projectIdOrName}/jwt-keys/{keyId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"updateMask": [
"active"
],
"jwtKey": {
"active": false
}
}
'{
"id": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "123e4567-e89b-12d3-a456-426614174000",
"label": "updated-key-name",
"algorithm": "RSA",
"publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4f5wg5l2hKsTeNem/V41\n-----END PUBLIC KEY-----\n",
"active": false,
"createTime": "2024-01-15T10:30:00Z",
"updateTime": "2024-01-16T15:45:00Z"
}{
"type": "https://httpstatuses.com/400",
"title": "Bad Request",
"status": 400,
"detail": "Invalid update mask",
"remedy": "Allowed masks: 'active' and 'name'"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "https://httpstatuses.com/422",
"title": "Unprocessable Entity",
"status": 422,
"detail": "value not found for mask",
"validationIssues": [
{
"field": "jwtKey",
"detail": "required field missing for specified mask"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Path Parameters
Body
application/json
Response
JWT key updated successfully
Was this page helpful?

